%define name		fontforge
%define ffversion	20040824
%define docversion	20040824
%define release		1mdk

Name:          %{name}
Version:       1.0
Release:       0.%{ffversion}.%{release}
Summary:       Font Editor for PostScript fonts
License:       distributable (see LICENSE)
Group:         Publishing
Source0:       http://fontforge.sourceforge.net/fontforge_full-%{ffversion}.tar.bz2
Source1:       fontforge-icons.tar.bz2
Source2:       http://fontforge.sourceforge.net/fontforge_htdocs-%{docversion}.tar.bz2
Source3:       http://fontforge.sourceforge.net/cidmaps.tar.bz2
URL:           http://fontforge.sourceforge.net/
Requires:      autotrace
Requires:      tetex-mfwin
BuildRequires: freetype2
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libtiff-devel
BuildRequires: libungif-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
FontForge is an outline font editor that lets you create your own 
postscript, truetype, opentype, cid-keyed, multi-master, cff, svg and 
bitmap (bdf) fonts, or edit existing ones. Also lets you convert one
format to another. FontForge has support for many macintosh font formats.

%prep
%setup -T -b 0 -n fontforge-%{ffversion}
perl -pi -e \
's@strcpy\(fullspec,"/usr/share/doc/fontforge/"\);@strcpy\(fullspec,"%_docdir/%{name}-%{version}/htdocs/"\);@g' pfaedit/uiutil.c

%build
%configure2_5x --disable-shared
make
mkdir -p htdocs cidmap
tar xjf %{SOURCE2} -C htdocs
tar xjf %{SOURCE3} -C cidmap

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir} \
	$RPM_BUILD_ROOT%{_libdir} \
        $RPM_BUILD_ROOT%{_mandir}/man1
%makeinstall datadir=$RPM_BUILD_ROOT%{_datadir}
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

# menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/fontforge <<EOF
?package(fontforge): command="fontforge" needs="X11" \
icon="fontforge.png" section="Applications/Publishing" title="FontForge" \
longtitle="A font editor"
EOF

# icons
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
tar xjf %{SOURCE1} -C $RPM_BUILD_ROOT%{_iconsdir}

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE README htdocs
%dir %{_datadir}/fontforge
%{_bindir}/*
%{_mandir}/man1/*
%{_menudir}/fontforge
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_miconsdir}/*.png
%{_datadir}/fontforge/*

%changelog
* Wed Aug 25 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0-0.20040824.1mdk
- Release: 20040824.
- Removed Patch0, merged upstream.

* Sat Jul 31 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0-0.20040703.2mdk
- Added Patch0 to get global variables like $fontversion working correctly.

* Thu Jul 29 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0-0.20040703.1mdk
- Initial release.
